chef_utils Cookbook
===================

This cookbook contains setup recipes for Chef utilities and Knife plugins.

Requirements
------------

#### packages
- `build-essential` - to build native libraries.

Attributes
----------

|Key|Type|Description, example|Default|
|:--|:--|:--|:--|
|`['chef_utils']['chef_gem']['clear_sources']`|Boolean|chef_gem resource's clear_sources property.|`false`|
|`['chef_utils']['chef_gem']['source']`|String|chef_gem resource's source property.|`nil`|
|`['chef_utils']['chef_gem']['options']`|String|chef_gem resource's options property.|`nil`|
|`['chef_utils']['chef-vault']['version']`|String|chef-vault installation version.|`'~> 2.6'`|
|`['chef_utils']['chef-server']['configuration']`|String|Chef server conf. file's content.|see attributes/default.rb|

Usage
-----

#### recipes
- `chef_utils::berkshelf` - Berkshelf gem installation. this is already included in the Chef DK.
- `chef_utils::bracecomp` - bracecomp gem installation.
- `chef_utils::chefspec` - chefspec gem installation. this is already included in the Chef DK.
- `chef_utils::chef-server-configuration` - chef-server.rb configuration file deployment recipe. (ver. 0.6.0 or later)
- `chef_utils::chef-vault` - chef-vault gem installation. this is already included in the Chef DK. (ver. 0.5.0 or later)
- `chef_utils::default` - same as bracecomp. 
- `chef_utils::knife-acl` - knife-acl plugin gem installation. (ver. 0.3.0 or later)
- `chef_utils::knife-ec2` - knife-ec2 plugin gem installation.
- `chef_utils::knife-eucalyptus` - knife-eucalyptus plugin gem installation.
- `chef_utils::knife-push` - knife-push plugin gem installation.
- `chef_utils::knife-reporting` - knife-reporting plugin gem installation.
- `chef_utils::knife-solo` - knife-solo plugin gem installation.
- `chef_utils::knife-spec` - knife-spec plugin gem installation.
- `chef_utils::knife-zero` - knife-zero plugin gem installation. (ver. 0.5.0 or later)
- `chef_utils::librarian-chef` - librarian-chef gem installation.
- `chef_utils::spiceweasel` - spiceweasel gem installation.

License and Authors
-------------------
- Author:: whitestar at osdn.jp

```text
Copyright 2013-2015, whitestar

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
